> For the complete documentation index, see [llms.txt](https://docs.platform.softwareone.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.platform.softwareone.com/developer-resources/rest-api/accounts-api/api-tokens.md).

# API Token

An API Token represents a user authentication token within the platform.&#x20;

This object contains the following attributes:

<table data-full-width="false"><thead><tr><th width="174">Field</th><th width="154">Type</th><th>Description</th></tr></thead><tbody><tr><td><code>id</code></td><td>string, <a data-footnote-ref href="#user-content-fn-1">core</a></td><td>(Read-only) The primary identifier for the token.</td></tr><tr><td><code>name</code></td><td>string, core</td><td>The name of the token.</td></tr><tr><td><code>description</code></td><td>string</td><td>(Optional) A description of the token.</td></tr><tr><td><code>icon</code></td><td>string, core</td><td>(Optional) The relative path to the API token icon.</td></tr><tr><td><code>status</code></td><td>string</td><td><p>(Read-only) The token's status. Allowed values: </p><ul><li><code>Active</code></li><li><code>Disabled</code></li><li><code>Deleted</code></li></ul></td></tr><tr><td><code>modules</code></td><td><a href="/pages/5F3y0YpdbDyA1w5IF53b#module-object">module</a></td><td>Module validation when creating API token.</td></tr><tr><td><code>account</code></td><td>object</td><td><p>Represents the <a href="/pages/tq2fdEq8olL6Ahrf4HVR#account-object">account</a> object under which the token has been defined.</p><p>Example:</p><pre class="language-json" data-overflow="wrap" data-line-numbers><code class="lang-json">{
  "id": "ACC-123-123",
  "name": "Microsoft"
}
</code></pre></td></tr><tr><td><code>token</code></td><td>string</td><td>(Read-only) The token's authentication code.</td></tr><tr><td><code>audit</code></td><td>object</td><td>(Read-only) Represents the <a href="/pages/RnSJqP4ZqAW7vD2MWeVM"><code>audit</code></a> object. </td></tr></tbody></table>

## Example

{% code title="API TOKEN OBJECT" lineNumbers="true" %}

```json
{
    "id": "TKN-4134-7330",
    "name": "access token",
    "description": "Token for Marketplace",
    "icon": "",
    "status": "Active",
    "modules": [
        {
            "id": "MOD-1756-1452"
        },
        {
            "id": "MOD-9042-8216"
        }
    ],
    "token": "CODE"
}
```

{% endcode %}

[^1]: **Core** indicates the field is part of the base object schema. This is not the same as “required”.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.platform.softwareone.com/developer-resources/rest-api/accounts-api/api-tokens.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
